Subject: Re: forcing an in-body From header

From: Junio C Hamano <[email-masked]>
Date: Fri, 26 Aug 2022 10:11:13 -0700

Rasmus Villemoes <[email-masked]> writes:

> I looked into the code, and while this is obviously just a hacky patch
> to see that I found the right spot, it doesn't seem to be too hard to
> implement properly.

I agree with you on all points in the above sentence ;-) I do not
think anybody minds if a command line option to "git format-patch"
added in builtin/log.c::cmd_format_patch() and a new configuration
variable taught to builtin/log.c::git_format_config() that gives
the default value for the new "force_in_body_from" member that will
be added to "struct rev_info" and relayed to "pretty_print_context"
when log-tree.c::fmt_output_commit() calls format_commit_messages().

Or something like that.